com.io7m.r2.core

## Class R2DepthVarianceBufferDescription.Builder

- java.lang.Object
- - com.io7m.r2.core.R2DepthVarianceBufferDescription.Builder

- Enclosing class:
    R2DepthVarianceBufferDescription

      public static final class R2DepthVarianceBufferDescription.Builder
      extends Object

  Builds instances of type `R2DepthVarianceBufferDescription`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2DepthVarianceBufferDescription` | `build()` Builds a new `R2DepthVarianceBufferDescription`.
    `R2DepthVarianceBufferDescription.Builder` | `from(R2DepthVarianceBufferDescriptionType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.R2DepthVarianceBufferDescriptionType` instance.
    `R2DepthVarianceBufferDescription.Builder` | `from(R2RenderTargetDescriptionType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.R2RenderTargetDescriptionType` instance.
    `R2DepthVarianceBufferDescription.Builder` | `setArea(com.io7m.jareas.core.AreaInclusiveUnsignedLType area)` Initializes the value for the `area` attribute.
    `R2DepthVarianceBufferDescription.Builder` | `setDepthPrecision(R2DepthPrecision depthPrecision)` Initializes the value for the `depthPrecision` attribute.
    `R2DepthVarianceBufferDescription.Builder` | `setDepthVariancePrecision(R2DepthVariancePrecision depthVariancePrecision)` Initializes the value for the `depthVariancePrecision` attribute.
    `R2DepthVarianceBufferDescription.Builder` | `setMagnificationFilter(com.io7m.jcanephora.core.JCGLTextureFilterMagnification magnificationFilter)` Initializes the value for the `magnificationFilter` attribute.
    `R2DepthVarianceBufferDescription.Builder` | `setMinificationFilter(com.io7m.jcanephora.core.JCGLTextureFilterMinification minificationFilter)` Initializes the value for the `minificationFilter` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2DepthVarianceBufferDescription.Builder from(R2RenderTargetDescriptionType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.R2RenderTargetDescriptionType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final R2DepthVarianceBufferDescription.Builder from(R2DepthVarianceBufferDescriptionType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.R2DepthVarianceBufferDescriptionType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setArea

          public final R2DepthVarianceBufferDescription.Builder setArea(com.io7m.jareas.core.AreaInclusiveUnsignedLType area)

      Initializes the value for the `area` attribute.
      Parameters:
        `area` - The value for area
      Returns:
        `this` builder for use in a chained invocation

    - #### setMagnificationFilter

          public final R2DepthVarianceBufferDescription.Builder setMagnificationFilter(com.io7m.jcanephora.core.JCGLTextureFilterMagnification magnificationFilter)

      Initializes the value for the `magnificationFilter` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `magnificationFilter`.

      Parameters:
        `magnificationFilter` - The value for magnificationFilter
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinificationFilter

          public final R2DepthVarianceBufferDescription.Builder setMinificationFilter(com.io7m.jcanephora.core.JCGLTextureFilterMinification minificationFilter)

      Initializes the value for the `minificationFilter` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `minificationFilter`.

      Parameters:
        `minificationFilter` - The value for minificationFilter
      Returns:
        `this` builder for use in a chained invocation

    - #### setDepthPrecision

          public final R2DepthVarianceBufferDescription.Builder setDepthPrecision(R2DepthPrecision depthPrecision)

      Initializes the value for the `depthPrecision` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `depthPrecision`.

      Parameters:
        `depthPrecision` - The value for depthPrecision
      Returns:
        `this` builder for use in a chained invocation

    - #### setDepthVariancePrecision

          public final R2DepthVarianceBufferDescription.Builder setDepthVariancePrecision(R2DepthVariancePrecision depthVariancePrecision)

      Initializes the value for the `depthVariancePrecision` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `depthVariancePrecision`.

      Parameters:
        `depthVariancePrecision` - The value for depthVariancePrecision
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2DepthVarianceBufferDescription build()

      Builds a new `R2DepthVarianceBufferDescription`.
      Returns:
        An immutable instance of R2DepthVarianceBufferDescription
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com